Bug 14303 - Fix item search CSV export - obsolete "by" and display of publication year for MARC21
Summary: Fix item search CSV export - obsolete "by" and display of publication year fo...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-31 20:30 UTC by Katrin Fischer
Modified: 2016-12-05 21:22 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14303: Fix item search CSV export - obsolete "by" and display of publication year for MARC21 (2.57 KB, patch)
2015-06-09 00:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14303: Fix item search CSV export - obsolete "by" and display of publication year for MARC21 (2.74 KB, patch)
2015-06-09 16:35 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14303: Fix item search CSV export - obsolete "by" and display of publication year for MARC21 (2.81 KB, patch)
2015-07-09 11:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-31 20:30:05 UTC
The CSV export of the item search still displays a 'by' in the Title column, even if there is no author. Also, this is not needed for MARC21, where the ISBD punctuation takes care of separating the information visually.
Comment 1 Katrin Fischer 2015-06-09 00:50:50 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-06-09 16:35:37 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2015-06-18 14:41:26 UTC
(In reply to Marc Véron from comment #2)
...
> Signed-off-by: Marc Véron <veron@veron.ch>

Marc, you forgot to set to 'Signed Off'
Comment 4 Héctor Eduardo Castro Avalos 2015-07-04 06:38:48 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #3)
> (In reply to Marc Véron from comment #2)
> ...
> > Signed-off-by: Marc Véron <veron@veron.ch>
> 
> Marc, you forgot to set to 'Signed Off'

It's right, Marc, you forget to change the status of the bug to Signed-off, the bug still appear as Needs Signoff

Regards
Comment 5 Jonathan Druart 2015-07-09 11:11:41 UTC
Created attachment 40876 [details] [review]
Bug 14303: Fix item search CSV export - obsolete "by" and display of publication year for MARC21

The exported CSV file from the item search didn't display the publication
year in MARC21 installations and the title always contained 'by'
even if there was no author information to display. Also the by is
not needed by MARC21 as the data should include punctuation.

This basically copies the changes done to the JSON format
on bug 13859 to the CSV include.

To test: Switch from 'Screen' to 'CSV'
- Check publication date always displays (MARC21 and UNIMARC)
- Check that for MARC21 the 'by' has been removed from the title information
- Check that for UNIMARC the 'by' only displays when there is also
  an author to display

Tested for MARC21, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Tomás Cohen Arazi 2015-07-10 14:04:27 UTC
Patch pushed to master.

Thanks Katrina!
Comment 7 Chris Cormack 2015-07-14 21:02:22 UTC
Pushed to 3.20.x will be in 3.20.2